QGIS Application - Bug report #12734
QGis crashes when deleting last vertex of a postgis MultiLineString part
2015-05-11 11:57 PM - Christophe Damour

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 20834
Description

QGis crashes when | try to delete the last vertex of a postgis MultiLineString part.

History

#1 - 2015-05-12 12:38 AM - Giovanni Manghi
- Category changed from Edit widget to Digitising
- Status changed from Open to Feedback

Cannot confirm on ggis master on Linux.

#2 - 2015-05-12 11:50 PM - Christophe Damour

Giving it another try, | can only reproduce it when | delete the last vertex of the last part of the MultiLineString.

#3 - 2015-05-22 10:03 AM - Giovanni Manghi

Christophe Damour wrote:

Giving it another try, | can only reproduce it when | delete the last vertex of the last part of the MultiLineString.

| tested also this scenario, no crash on QGIS master/Linux.

#4 - 2015-05-24 03:23 AM - Christophe Damour

Testing it further on Ubuntu QGis 2.8.2 with fresh PostGis vector layers, | couldn't reproduce the crash...
So it might be related to my vector layer. I'll check it soon and let you know.

#5 - 2015-05-24 03:49 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

reopen if necessary.
